<template>
	<view class="shop_list">
		<shopItem :msg="allData"></shopItem>
	</view>
</template>

<script>
	import shopItem from "@/components/shop-item/shop-item";
	let app = getApp();
	import api from "../../../../../api.js";
	export default {
		data() {
			return {
				storeId:'',//商家id
				brandId:'',//品牌id
				allData:null,//所有数据
				status:'',//查询状态  全部  其余
			}
		},
		onLoad(options) {
			// console.log(options);
			this.storeId = options.storeid;
			this.brandId = options.brandid;
			this.status = options.status;
			this.getData();
		},
		methods: {
			//加载数据
			getData(){
				let data = {
					token:app.globalData.token,
					status:this.status,
					id: this.storeId,
					brandId: this.brandId,
				}
				api.getBrandOther(data).then((res)=>{
					console.log(res);
					this.allData = res.data.data;
				})
			}
		},
		components:{
			shopItem,
		}
	}
</script>

<style>
	
</style>
